<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <ul
    style="margin-bottom: 0px;"
    class="m-subheader__breadcrumbs m-nav m-nav--inline"
    v-if="breadcrumbList.length > 0 && currentTeam && currentTeam.team_id"
  >
    <li class="m-nav__item m-nav__item--home nt-color-primary">
      <span>{{ currentTeam.name | truncateWords(50) }}</span>
    </li>
    <li class="m-nav__item m-nav__item--home nt-color-primary">
      <span class="m-nav__link-text">
        <i class="la la-angle-right"></i>
      </span>
    </li>
    <li class="m-nav__item" v-for="(breadcrumb, index) in breadcrumbList" :key="index">
      <span class="nt-color-primary" v-if="breadcrumb.name == 'arrow-icon'">
        <i class="la la-angle-right"></i>
      </span>
      <a
        v-else-if="breadcrumb.link"
        class="m-nav__link-text nt-link"
        :class="index === breadcrumbList.length - 1 ? 'm--font-bolder' : ''"
        :href="breadcrumb.link"
      >
        {{breadcrumb.name
        | truncateWords(50) }}
      </a>
      <span
        v-else
        class="m-nav__link-text nt-color-primary"
        :class="index === breadcrumbList.length - 1 ? 'nt-label' : ''"
      >{{breadcrumb.name | truncateWords(50) }}</span>
    </li>
  </ul>
</template>
